### Class

# WebKit UserContentFilterStore

since: 2.24

#### Description [src]

    final class WebKit.UserContentFilterStore : GObject.Object
    {
      /* No available fields */
    }

Handles storage of user content filters on disk.

The WebKitUserContentFilterStore provides the means to import and save JSON rule sets, which can be loaded later in an efficient manner. Once filters are stored, the `WebKitUserContentFilter` objects which represent them can be added to a `WebKitUserContentManager` with webkit_user_content_manager_add_filter().

JSON rule sets are imported using `webkit_user_content_filter_store_save()` and stored on disk in an implementation defined format. The contents of a filter store must be managed using the `WebKitUserContentFilterStore`: a list of all the stored filters can be obtained with webkit_user_content_filter_store_fetch_identifiers(), `webkit_user_content_filter_store_load()` can be used to retrieve a previously saved filter, and removed from the store with webkit_user_content_filter_store_remove().

Available since: 2.24

#### Ancestors

- GObject

#### Constructors

###### webkit_user_content_filter_store_new

Create a new `WebKitUserContentFilterStore` to manipulate filters stored at `storage_path`.

since: 2.24

#### Instance methods

###### webkit_user_content_filter_store_fetch_identifiers

Asynchronously retrieve a list of the identifiers for all the stored filters.

since: 2.24

###### webkit_user_content_filter_store_fetch_identifiers_finish

Finishes an asynchronous fetch of the list of stored filters.

since: 2.24

###### webkit_user_content_filter_store_get_path

Gets the storage path for user content filters.

since: 2.24

###### webkit_user_content_filter_store_load

Asynchronously load a content filter given its `identifier`.

since: 2.24

###### webkit_user_content_filter_store_load_finish

Finishes an asynchronous filter load previously started with webkit_user_content_filter_store_load().

since: 2.24

###### webkit_user_content_filter_store_remove

Asynchronously remove a content filter given its `identifier`.

since: 2.24

###### webkit_user_content_filter_store_remove_finish

Finishes an asynchronous filter removal previously started with webkit_user_content_filter_store_remove().

since: 2.24

###### webkit_user_content_filter_store_save

Asynchronously save a content filter from a set source rule.

since: 2.24

###### webkit_user_content_filter_store_save_finish

Finishes an asynchronous filter save previously started with webkit_user_content_filter_store_save().

since: 2.24

###### webkit_user_content_filter_store_save_from_file

Asynchronously save a content filter from the contents of a file.

since: 2.24

###### webkit_user_content_filter_store_save_from_file_finish

Finishes and asynchronous filter save previously started with webkit_user_content_filter_store_save_from_file().

since: 2.24

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### WebKit.UserContentFilterStore:path

The directory used for filter storage. This path is used as the base directory where user content filters are stored on disk.

since: 2.24

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

since: 2.0

#### Class structure

    struct WebKitUserContentFilterStoreClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`
  No description available.